%{?nodejs_find_provides_and_requires}
%global enable_tests 1
Name:                nodejs-growl
Version:             1.10.5
Release:             1
Summary:             Growl unobtrusive notifications for Node.js
License:             MIT
URL:                 https://github.com/tj/node-growl
Source0:             https://github.com/tj/node-growl/archive/v%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       libnotify-devel
%endif
Requires:            libnotify%{?_isa} >= 0:0.5.0-1
%description
%{summary}

%prep
%autosetup -n node-growl-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/growl
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/growl
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%__nodejs test.js
%endif

%files
%doc History.md Readme.md
%{nodejs_sitelib}/growl

%changelog
* Fri Jun 10 2022 wangkai <wangkai385@h-partners.com> -1.10.5-1
- Update to 1.10.5

* Thu Aug 20 2020 Anan Fu <fuanan3@huawei.com> - 1.7.0-1
- package init
